<?php require "../../common/html.php"; ?>

<form method="post">
	<input type="checkbox" name="delete" id="delete">
	<label for="delete">Supprimer mon compte et toutes ses données</label>
	<br>
	<input type="submit">
</form>

<?php

switchToFormProcess();

if (!isset($_POST['delete']))
	userError("Il faut confirmer la suppression du compte");

foreach (query('select', 'registry', ['username' => $_SESSION['username']], 'domain') as $domain)
	regDeleteDomain($domain);

foreach (query('select', 'zones', ['username' => $_SESSION['username']], 'zone') as $zone)
	nsDeleteZone($zone);

foreach (query('select', 'sites', [
	'username' => $_SESSION['username'],
	'domain_type' => 'onion',
	'protocol' => 'http',
], 'site_dir') as $dir)
	htDeleteSite($dir, domainType: 'onion', protocol: 'http');

foreach (query('select', 'sites', [
	'username' => $_SESSION['username'],
	'domain_type' => 'dns',
	'protocol' => 'http',
], 'site_dir') as $dir)
	htDeleteSite($dir, domainType: 'dns', protocol: 'http');

exec(CONF['ht']['sudo_path'] . " -u " . CONF['ht']['tor_user'] . " " . CONF['ht']['rm_path'] . " --recursive " . CONF['ht']['tor_keys_path'] . "/" . $_SESSION['username'], result_code: $code);
if ($code !== 0)
	serverError("Can't remove Tor keys directory.");

removeDirectory(CONF['ht']['tor_config_path'] . '/' . $_SESSION['username']);

removeDirectory(CONF['ht']['ht_path'] . '/' . $_SESSION['username']);

query('delete', 'users', ['username' => $_SESSION['username']]);

redir();

success("Compte supprimé.");
